package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RecruitInterviewService;
import com.engine.recruit.service.impl.RecruitInterviewServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/11/28
 * @version: 1.0
 */
public class RecruitInterviewWrapper extends Service {
    private RecruitInterviewService getRecruitInterviewService(User user) {
        return ServiceUtil.getService(RecruitInterviewServiceImpl.class, user);
    }

    public Map<String, Object> updateInterviewStatus(Map<String, Object> param) {
        return getRecruitInterviewService(user).updateInterviewStatus(param);
    }

    public String getInterviewEvaluateStatus(Map<String, Object> param) {
        return getRecruitInterviewService(user).getInterviewEvaluateStatus(param);
    }


}
